How to have DRAWS Check and update Software


 

I see today that there is a new version of FLDIGI. Can you show me (us) how to check for newer software and up load/install?
Tnx Lynn


Basil Gunn
 

Lynn DeHart <kb3fn@arrl.net> writes:

I see today that there is a new version of FLDIGI. Can you show me
(us) how to check for newer software and up load/install? Tnx Lynn
Assuming you have a current DRAWS image:

cd
cd bin
./prog_refresh.sh -u

# Will return with something like this:

fldigi: current version: 4.1.03, installed: 4.1.02
Swap size too small for builds, changed from 100 to 1000 ... need to reboot.

The script detects the swap file size is too small & changes the swap
file config file (/etc/dphys-swapfile) to a required size. All you need
to do is reboot and run the prog_refresh.sh script again:

cd
cd bin
./prog_refresh.sh -u

This will download and build the current version of FLdigi Be patient,
the build takes some time.

/Basil


 

Basil' I have run prog_refrsh.sh -u several times and it looks lie ver 4.1.02 is still loading when I launch fldigi from Internet topic.
What am I missing?
Lynn


Basil Gunn
 

Run this:

fldigi --version
which fldigi

Try launching it from the console by just typing fldigi.
Which version gets loaded?

Did your fldigi build complete successfully?
Which image are you using? BETA12?
/Basil


Lynn DeHart <kb3fn@arrl.net> writes:

Basil' I have run prog_refrsh.sh -u several times and it looks lie ver 4.1.02 is still loading when I launch fldigi from Internet topic.
What am I missing?
Lynn


john.chabalko@...
 

I've seen it mentioned a couple of times about the swap size needing to be adjusted to do certain thing. I've never had that come up on my system though. I'm using a 32g card - which may have something to do with it?

I just checked and it looks like my swap size is 1000m, is the default on an 8 or 16g card 100m?

Running what's generally the stock draws image that's been updated a few times and has a minimal amount of extra stuff copied to it i have ~21g available still.


 

I'm running BETA12.
When I run ./prog_refresh.sh I get a Red second line saying:

fldigi: current version: 4.1.03, installed: 4.1.03

(In red)  fldigi version built (4.1.02) does not match source version (4.1.03)


 

Just Checked SD.  It's 32 GB and 21.6 is used.
Thoughts?


Basil Gunn
 

Describing what you see doesn't really work for me.
I need to see the all console output of what you are doing.
Cut & paste the console output into an email and post it to me.

First do this:

cd
cd n7nix
git pull
cd bin
./prog_refresh.sh
./prog_refresh.sh -c
./prog_refresh.sh -u

/Basil


Lynn DeHart <kb3fn@arrl.net> writes:

I'm running BETA12.
When I run ./prog_refresh.sh I get a Red second line saying:

fldigi: current version: 4.1.03, installed: 4.1.03

(In red) fldigi version built (4.1.02) does not match source version (4.1.03)


Basil Gunn
 

john.chabalko@gmail.com writes:

I've seen it mentioned a couple of times about the swap size needing
to be adjusted to do certain thing. I've never had that come up on my
system though. I'm using a 32g card - which may have something to do
with it?

I just checked and it looks like my swap size is 1000m, is the default
on an 8 or 16g card 100m?
When you build FLdigi the update script automatically changes the swap
file size from 100M to 1000M and then asks you to reboot. After you have
updated FLdigi you can manually edit the /etc/dphys-swap config file,
back to the default CONF_SWAPSIZE=100

If the swap space is not increased when building FLdigi it will
fail. The prog_update.sh script will not build FLdigi unless it sees
sufficient swap space.

Generally speaking except when building programs if you see swap space
being used (run swapon) it usually means some program you are running
has a memory leak. Continued use of a swap file or swap partition on an
SD card is not a good idea.

Running what's generally the stock draws image that's been updated a
few times and has a minimal amount of extra stuff copied to it i have
~21g available still.
I think the size of your SD card is the sweet spot. By using a larger SD
card (like 32GB) the wear leveling algorithm has a better chance to work
properly. Having said that I have been running Linux on some SD cards
for around 5 years without a failure.

/Basil


 

Basil,

I am still testing but a second 32gb went through the updates and now Fldigi vs 4.1.03 is loading.
I suspect the problem was that I load the word process package and that is when the card stopped updating.

I will be offline for 2 or3 days traveling south. But I will try to duplicate the problem.

Thank  for all the work you do for NWDigital,Lynn


Basil Gunn
 

Ok Lynn thanks for the update. I thought it might have been because of
an older prog_update.sh script. Good to hear the update was successful.
/Basil

Lynn DeHart <kb3fn@arrl.net> writes:

Basil,

I am still testing but a second 32gb went through the updates and now Fldigi vs 4.1.03 is loading.
I suspect the problem was that I load the word process package and that is when the card stopped updating.

I will be offline for 2 or3 days traveling south. But I will try to duplicate the problem.

Thank for all the work you do for NWDigital,Lynn


Richard Waller <rewaller@...>
 

Basil, I followed the instructions about updating DRAWS programs. It worked fine until I got to the commands ./prog_refresh.sh- c and ./prog_refresh.sh-u. When I typed these commands I got “ no such program or directory.” Also I’m trying to figure out how to start wsjt-x. In the n7nix directory in a file called hfprog there is a file referring to wsjt-x v 1.91. This is the previous version and not compatible with v 2.0 . When I attempted to update software as above the version remained v 2.0 . When I went to the wsjt-x 2.0 site it gave the impression that v 2.0 was not yet available in Linux. I would appreciate your thoughts and or those of other members. Rick. Ka4ohm.


On Apr 23, 2019, at 10:50 AM, Lynn DeHart <kb3fn@...> wrote:

Basil,

I am still testing but a second 32gb went through the updates and now Fldigi vs 4.1.03 is loading.
I suspect the problem was that I load the word process package and that is when the card stopped updating.

I will be offline for 2 or3 days traveling south. But I will try to duplicate the problem.

Thank  for all the work you do for NWDigital,Lynn


 

Hi Richard,

There should be a space between ./prog_refresh.sh  and the -u 
./prog_refresh.sh -u

On Tue, Apr 23, 2019 at 2:25 PM Richard Waller via Groups.Io <rewaller=verizon.net@groups.io> wrote:
Basil, I followed the instructions about updating DRAWS programs. It worked fine until I got to the commands ./prog_refresh.sh- c and ./prog_refresh.sh-u. When I typed these commands I got “ no such program or directory.” Also I’m trying to figure out how to start wsjt-x. In the n7nix directory in a file called hfprog there is a file referring to wsjt-x v 1.91. This is the previous version and not compatible with v 2.0 . When I attempted to update software as above the version remained v 2.0 . When I went to the wsjt-x 2.0 site it gave the impression that v 2.0 was not yet available in Linux. I would appreciate your thoughts and or those of other members. Rick. Ka4ohm.


On Apr 23, 2019, at 10:50 AM, Lynn DeHart <kb3fn@...> wrote:

Basil,

I am still testing but a second 32gb went through the updates and now Fldigi vs 4.1.03 is loading.
I suspect the problem was that I load the word process package and that is when the card stopped updating.

I will be offline for 2 or3 days traveling south. But I will try to duplicate the problem.

Thank  for all the work you do for NWDigital,Lynn



--


John D. Hays
Edmonds, WA
K7VE